Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authorization
Interface PredicateEditorMBean

All Known Subinterfaces:
  DefaultAuthorizerMBean, DefaultRoleMapperMBean

public interface PredicateEditorMBean
extends weblogic.management.commo.StandardInterface, PredicateReaderMBean

This MBean manages predicates and reads data about predicates and their arguments.

Method Summary
`void` | `registerPredicate(java.lang.String predicateClassName)` Registers a new predicate with the specified class name.
`void` | `unregisterPredicate(java.lang.String predicateClassName)` Unregisters the currently registered predicate.

Methods inherited from interface weblogic.security.providers.authorization.PredicateReaderMBean
`getPredArgumentAllowedValues, getPredArgumentCount, getPredArgumentDefValue, getPredArgumentDescription, getPredArgumentMaxValue, getPredArgumentMinValue, getPredArgumentName, getPredArgumentType, getPredicateDescription, getPredicateDisplayName, getRegisteredPredicates, isPredArgumentValid, isRegisteredPredicate`

Method Detail

### registerPredicate

    public void registerPredicate(java.lang.String predicateClassName)
                           throws weblogic.management.utils.InvalidPredicateException,
                                  AlreadyExistsException

  Registers a new predicate with the specified class name.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements the predicate.
  Throws:
    weblogic.management.utils.InvalidPredicateException -
    AlreadyExistsException -

### unregisterPredicate

    public void unregisterPredicate(java.lang.String predicateClassName)
                             throws NotFoundException

  Unregisters the currently registered predicate.

  Parameters:
    `predicateClassName` - - The name of the Java class that implements predicate to be unregistered.
  Throws:
    NotFoundException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference